Subject: Re: [PATCH 11/15] zImage wrapper for Ebony

From: David Gibson <[email-masked]>
Date: Tue, 6 Mar 2007 11:09:05 +1100

On Mon, Mar 05, 2007 at 10:10:53AM -0700, Mark A. Greer wrote:
> On Mon, Mar 05, 2007 at 02:24:52PM +1100, David Gibson wrote:
> > This patch adds support for building a zImage wrapper suitable for the
> > Ebony (440GP) evaluation board.  This supports booting both from uboot
> > (old versions which don't supply a flattened device tree) and IBM
> > Openbios (aka "treeboot").
> > 
> > Signed-off-by: David Gibson <[email-masked]>
> > ---
> 
> <snip>
> 
> > Index: working-2.6/arch/powerpc/boot/Makefile
> > ===================================================================
> > --- working-2.6.orig/arch/powerpc/boot/Makefile	2007-02-26 13:25:31.000000000 +1100
> > +++ working-2.6/arch/powerpc/boot/Makefile	2007-02-26 13:25:33.000000000 +1100
> 
> <snip>
> 
> > @@ -120,6 +128,13 @@ quiet_cmd_wrap_initrd = WRAP    $@
> >        cmd_wrap_initrd =$(CONFIG_SHELL) $(wrapper) -c -o $@ -p $2 $(CROSSWRAP) \
> >  				-i $(obj)/ramdisk.image.gz vmlinux
> >  
> > +quiet_cmd_wrap_dtb	= WRAP    $@
> > +      cmd_wrap_dtb	=$(CONFIG_SHELL) $(wrapper) -c -o $@ -p $2 $(CROSSWRAP) \
> > +				-d $3 vmlinux
> > +quiet_cmd_wrap_dtb_initrd = WRAP    $@
> > +      cmd_wrap_dtb_initrd =$(CONFIG_SHELL) $(wrapper) -c -o $@ -p $2 $(CROSSWRAP) \
> > +				-d $3 -i $(obj)/ramdisk.image.gz vmlinux
> > +
> 
> David,
> 
> I think we more-or-less agreed to go with Scott Wood's 'wrap' method
> (unless there is a problem with it).

Oh, we had?

> http://ozlabs.org/pipermail/linuxppc-dev/2007-February/031337.html

Um.. I'm pretty uneasy about that, because I'm not at all sure that
the wrapper script does the right thing w.r.t. where it puts the .dtb
file, when building with a VPATH.

Actually, longer term what I think might be a better option is to
build *all* the dts files into asm (with different symbolic names) and
fold them into the wrapper library.

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson